Bug 223018 - devel/sdl20: audio crash fix, Wayland, udev, Vulkan
Summary: devel/sdl20: audio crash fix, Wayland, udev, Vulkan
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 227509
  Show dependency treegraph
 
Reported: 2017-10-14 22:48 UTC by Greg V
Modified: 2018-10-28 07:55 UTC (History)
2 users (show)

See Also:


Attachments
files/patch-src_audio_SDL__audiocvt.c (18.52 KB, patch)
2017-10-14 22:48 UTC, Greg V
no flags Details | Diff
sdl20-wayland.patch (7.45 KB, patch)
2017-10-14 22:49 UTC, Greg V
no flags Details | Diff
sdl20-udev.patch (1.63 KB, patch)
2017-10-14 22:50 UTC, Greg V
no flags Details | Diff
sdl20-vulkan.patch (1.32 KB, patch)
2017-10-14 22:52 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-10-14 22:48:34 UTC
Created attachment 187181 [details]
files/patch-src_audio_SDL__audiocvt.c

This patch updates the audio resampler in SDL 2.0.6, fixing the audio-related bugs (e.g. crashes in OpenClaw and VCMI) https://bugzilla.libsdl.org/show_bug.cgi?id=3858
Comment 1 Greg V 2017-10-14 22:49:35 UTC
Created attachment 187182 [details]
sdl20-wayland.patch

This patch enables Wayland support in SDL. Tested with stonesoup and OpenClaw on the rootston compositor (from https://github.com/swaywm/wlroots).
Comment 2 Greg V 2017-10-14 22:50:51 UTC
Created attachment 187184 [details]
sdl20-udev.patch

This patch adds an udev option. Potentially for evdev joysticks, but we don't have those yet. Really, just because the configure script detects libudev-devd anyway!
Comment 3 Greg V 2017-10-14 22:52:14 UTC
Created attachment 187185 [details]
sdl20-vulkan.patch

This patch adds an option for Vulkan support. Tested with vkQuake (bug 222182).
Comment 4 Jan Beich freebsd_committer 2017-10-15 02:07:41 UTC
Comment on attachment 187185 [details]
sdl20-vulkan.patch

Vulkan is currently always enabled. The patch adds useless build dependency and forces runtime dependency while disabling Vulkan support. This renders packages relying on Vulkan support in SDL unusable when installing from freebsd.org set.

Are you expecting SDL+Vulkan consumers to not depend on any libvulkan.so symbols directly but only use those via SDL? If not I don't see what's the benefit here.
Comment 5 Greg V 2017-10-15 13:40:56 UTC
(In reply to Jan Beich from comment #4)
Oh, if it's always enabled, ignore the vulkan patch.
Comment 6 Jan Beich freebsd_committer 2017-10-25 10:48:47 UTC
Comment on attachment 187181 [details]
files/patch-src_audio_SDL__audiocvt.c

Part of SDL 2.0.7 update per ports r452843.
Comment 7 commit-hook freebsd_committer 2018-10-16 17:38:39 UTC
A commit references this bug:

Author: jbeich
Date: Tue Oct 16 17:37:57 UTC 2018
New revision: 482237
URL: https://svnweb.freebsd.org/changeset/ports/482237

Log:
  emulators/ppsspp: unbreak after r482190

  SDL/SDLVulkanGraphicsContext.cpp:73:67: error: no member named 'wl' in 'SDL_SysWMinfo::<anonymous union at /usr/local/include/SDL2/SDL_syswm.h:198:5>'
                  vulkan_->InitSurface(WINDOWSYSTEM_WAYLAND, (void*)sys_info.info.wl.display,
                                                                    ~~~~~~~~~~~~~ ^

  PR:		223018
  Reported by:	pkg-fallout

Changes:
  head/emulators/ppsspp/Makefile
Comment 8 commit-hook freebsd_committer 2018-10-28 04:10:37 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 28 04:10:10 UTC 2018
New revision: 483217
URL: https://svnweb.freebsd.org/changeset/ports/483217

Log:
  devel/sdl20: expose EGL and Wayland support

  PR:		223018 (based on)
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	maintainer timeout (1 year)

Changes:
  head/devel/sdl20/Makefile
  head/devel/sdl20/files/patch-configure
Comment 9 commit-hook freebsd_committer 2018-10-28 07:53:39 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 28 07:52:45 UTC 2018
New revision: 483234
URL: https://svnweb.freebsd.org/changeset/ports/483234

Log:
  devel/sdl20: track libudev dependency

  PR:		223018
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	maintainer timeout (1 year)

Changes:
  head/devel/sdl20/Makefile